---
title: "LXD: Containers for Human Beings"
subtitle: "Docker's great and all, but I prefer the workflow of interacting with VMs"
date: 2023-06-14T10:50:41-04:00
categories:
- Technology
tags:
- Sysadmin
- Containers
- VMs
- Docker
- LXD
draft: true
rss_only: false
cover: ./cover.png
---

This is a blog-post-version of a talk I presented at both Ubuntu Summit 2022 and
SouthEast LinuxFest 2023. The first was not recorded, but the second was and is
on [SELF's PeerTube instance.][selfpeertube] I apologise for the terrible, but
there's unfortunately nothing I can do about that.

[selfpeertube]: https://peertube.linuxrocks.online/w/hjiTPHVwGz4hy9n3cUL1mq?start=1m

## The benefits of VMs and containers

- **Isolation:** we don't want an attacker to get into our webserver and be able
  to gain access to our email server
- **Flexibility:** <abbr title="Virtual Machines">VMs</abbr> and containers only
  use the resources they've been given
- **Portability:** once set up and configured, VMs and containers can mostly be
  treated as black boxes; as long as the surrounding environment is similar to
  the previous in terms of communication, they can just be picked up and dropped
  on bare metal servers as necessary.
- **Density:**
- **Cleanliness:**
